
-- (C)Chilean Challenge v1.0
-- Carlos Valderas & Valentina Bonilla, 2010
-- Licence: ZLIB

--------------------------
require("lua/botones.lua")
require("lua/etapas.lua")
require("lua/preguntas.lua")
require("lua/scripts")

function love.load()

--recursos

imagenes = {logo = love.graphics.newImage("media/logo.png"),
			logoEspiraculo = love.graphics.newImage("media/grupoespiraculo.png"),
			espiraculo = love.graphics.newImage("media/espiraculo.png"),
			boton_instrucciones_img = love.graphics.newImage("media/boton_instrucciones.png"),
			boton_instrucciones_imgB = love.graphics.newImage("media/boton_instrucciones_on.png"),
			boton_jugar_img = love.graphics.newImage("media/boton_jugar.png"),
			boton_jugar_imgB = love.graphics.newImage("media/boton_jugar_on.png"),
			boton_alt_img = love.graphics.newImage("media/boton_alternativa.png"),
			boton_alt_imgB = love.graphics.newImage("media/boton_alternativa_on.png"),
			boton_next_img = love.graphics.newImage("media/boton_next.png"),
			boton_next_imgB = love.graphics.newImage("media/boton_next_on.png"),
			boton_re_img = love.graphics.newImage("media/boton_re.png"),
			boton_re_imgB = love.graphics.newImage("media/boton_re_on.png"),
			boton_volver_img = love.graphics.newImage("media/boton_volver.png"),
			boton_volver_imgB = love.graphics.newImage("media/boton_volver_on.png"),
			tema_1 = love.graphics.newImage("media/tema_1.png"),
			tema_2 = love.graphics.newImage("media/tema_2.png"),
			tema_3 = love.graphics.newImage("media/tema_3.png"),
			correcta_img = love.graphics.newImage("media/correcta.png"),
			incorrecta_img = love.graphics.newImage("media/incorrecta.png"),
			tablero = love.graphics.newImage("media/tablero.png"),
			fondo = love.graphics.newImage("media/fondo.png"),
			instrucciones = love.graphics.newImage("media/instrucciones.png"),
			puntaje_A_img = love.graphics.newImage("media/puntaje_a.png"),
			puntaje_B_img = love.graphics.newImage("media/puntaje_b.png"),
			puntaje_C_img = love.graphics.newImage("media/puntaje_c.png"),
			puntaje_D_img = love.graphics.newImage("media/puntaje_d.png"),
			game_over = love.graphics.newImage("media/game_over.png"),
			escape_img = love.graphics.newImage("media/escape.png")}



fuentes = {	tekton = love.graphics.newFont("media/TektonPro.ttf",30),
			tekton2 = love.graphics.newFont("media/TektonPro.ttf",32),
			tekton3 = love.graphics.newFont("media/TektonPro.ttf",25),
			tekton_fuente_img = love.graphics.newFont("media/TektonPro.ttf",14),
			tekton_puntaje_final = love.graphics.newFont("media/TektonPro.ttf",40),
			tekton_fuente_creditos = love.graphics.newFont("media/TektonPro.ttf",18)}

colores = {color_fondo = {0,0,0}}


--color de fondo
love.graphics.setBackgroundColor(unpack(colores["color_fondo"]))
--pantalla completa
love.graphics.toggleFullscreen()
--variables

etapa = Logo.crear() --etapa actual del juego

end


function love.update(dt)

etapa:update(dt)

end

function love.draw()

	etapa:draw()

end

function love.mousereleased(x,y,button)

	etapa:mousereleased(x,y,button)

end

function love.keypressed(key)

	if key == "f4" and (love.keyboard.isDown("ralt") or love.keyboard.isDown("lalt")) then
		love.event.push("q")
	end

	etapa:keypressed(key)

end
